IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[v_documentosPadreAsociar]')) DROP VIEW [dbo].[v_documentosPadreAsociar]
GO
CREATE  VIEW [v_documentosPadreAsociar] AS
	select doc.id id, 
		doc.prefijo, 
		doc.documento_numero,
		id_subtipoDocumento,
		id_estadoTipoDocumento,
		doc.id_tercero_cliente id_cliente,
		case when sol.id_sucursal is not null then sol.id_sucursal
			else (case when ot.id_sucursal is not null then ot.id_sucursal
				else (case when rq.id_sucursal is not null then rq.id_sucursal
					else (case when cot.id_sucursal is not null then cot.id_sucursal
						else (case when ent.id_sucursal is not null then ent.id_sucursal
							else (case when sal.id_sucursal is not null then sal.id_sucursal
								else (case when oc.id_sucursal is not null then oc.id_sucursal
									else 0 end)end)end)end)end)end) end as id_sucursal,
		case when sol.id_equipo is not null then sol.id_equipo
			else (case when ot.id_equipo is not null then ot.id_equipo
				else (case when cot.id_equipo is not null then cot.id_equipo
					else 0 end)end) end as id_equipo
	from view_doc_documento doc
			left join view_doc_documento_solicitud sol
		on doc.id = sol.id
			left join view_doc_documento_ot ot
		on doc.id = ot.id
			left join view_doc_documento_requisicion rq
		on doc.id = rq.id
			left join view_doc_documento_cotizacion cot
		on doc.id = cot.id
			left join view_doc_documento_entrada ent
		on doc.id = ent.id
			left join view_doc_documento_salida sal
		on doc.id = sal.id
			left join view_doc_documento_ordenCompra oc
		on doc.id = oc.id
			left join view_doc_documento_traslado trl
		on doc.id = trl.id
			left join view_doc_documento_alquiler alq
		on doc.id = alq.id
			left join view_doc_documento_proyecto pyt 
		on doc.id = pyt.id